Bug 183209 - framebuffer module rivafb displays wrong font for umlauts on console 1 on non UTF-8 systems
framebuffer module rivafb displays wrong font for umlauts on console 1 on non...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 09:34 EST by Peter Bieringer
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 10:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-02-27 09:34:28 EST
Description of problem:
After loading the rivafb framebuffer module on an non UTF-8 system via
/etc/rc.modules German Umlauts are not displayed, instead other strange characters.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1831_FC4

How reproducible:
Always

Steps to Reproduce:
1. Disable UTF-8 support:
# cat /etc/sysconfig/i18n
LANG="en_US"
SUPPORTED="en_US:en:de_DE:de"
SYSFONT="latarcyrheb-sun16"

2. Create /etc/rc.modules (don't forget chmod 755):
/sbin/modprobe rivafb && i=0; while [ ! -c /dev/fb0 -a $i -le 9 ]; do sleep 1;
i=$[$i + 1 ]; done; if [ -c /dev/fb0 ]; then /usr/sbin/fbset --all 1280x1024-60
-depth 16; /usr/sbin/fbset --all -upper 34 -lower 5; fi

3. Reboot (e.g. runlevel 3)

4. Login on console 1 and console 2

5. Type German umlauts on console 1 and console 2
  
Actual results:
On console 1, German umlauts are not proper displayed, other characters instead.
On other consoles, German umlauts are proper displayed.

Expected results:
Display German umlauts also on console 1

Additional info:
Enabling UTF-8 support in i18n, the problem goes away. But unfortunately, this
system can't run with UTF-8 enabled.

Booting without autoload of frame buffer also do not show this problem.
Comment 1 Dave Jones 2006-09-16 22:58:06 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Peter Bieringer 2006-09-17 08:37:30 EDT
kernel-2.6.17-1.2187_FC5 does not show this problem.

Note You need to log in before you can comment on or make changes to this bug.